import 'package:json_annotation/json_annotation.dart';

part 'orderStatus.g.dart';

@JsonSerializable()
class OrderStatus {
    OrderStatus();

    @JsonKey(name: '_type') num type;
    @JsonKey(name: '_title') String title;
    @JsonKey(name: '_msg') String msg;
    @JsonKey(name: '_class') String className;
    @JsonKey(name: '_payType') String payType;
    
    factory OrderStatus.fromJson(Map<String,dynamic> json) => _$OrderStatusFromJson(json);
    Map<String, dynamic> toJson() => _$OrderStatusToJson(this);
}
